Bug 148813 - guestimate_package_id failure
guestimate_package_id failure
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn370
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 15:24 EST by Mike McCune
Modified: 2008-10-17 16:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 16:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-02-15 15:24:42 EST
Looks like this function croaked (see below for traceback):

package RHN::DB::Package;

...

# given varying data, try to figure what freakin' package to load.
# NOTE:  Might I say, this sucketh much donkey wong.  Awaiting a better # answer :(
sub guestimate_package_id {

....

  } else {
    croak "not enough information to make a guess about what package you're
looking for!";
  }
}

is this expected during normal operation?  What could you do in the UI to cause
this error? 

From a traceback:

Contents of this Digest Volume 2005-01-31 19:00

 WEB TRACEBACK from rhnserver1.app.phx.redhat.com (Mon Jan 31 18:59:10 2005)


Return-Path: <dev-null@rhn.redhat.com>
Received: from mx1.util.phx.redhat.com (mx1.util.phx.redhat.com [10.8.4.92])
	by alertmail.util.phx.redhat.com (8.11.6/8.11.6) with ESMTP id j0VNxAM21598
	for <rhn-traceback@rhn.redhat.com>; Mon, 31 Jan 2005 18:59:10 -0500
Received: from rhnserver1.app.phx.redhat.com (nat-pool.util.phx.redhat.com
[10.8.5.200])
	by mx1.util.phx.redhat.com (8.11.6/8.11.6) with ESMTP id j0VNxAk16588
	for <rhn-traceback@rhn.redhat.com>; Mon, 31 Jan 2005 18:59:10 -0500
Received: (from apache@localhost)
	by rhnserver1.app.phx.redhat.com (8.11.6/8.11.6) id j0VNxA614473;
	Mon, 31 Jan 2005 18:59:10 -0500
Date: Mon, 31 Jan 2005 18:59:10 -0500
Message-Id: <200501312359.j0VNxA614473@rhnserver1.app.phx.redhat.com>
To: rhn-traceback@rhn.redhat.com
From: Red Hat Network <dev-null@rhn.redhat.com>
Subject: WEB TRACEBACK from rhnserver1.app.phx.redhat.com (Mon Jan 31 18:59:10 2005)
Content-Type: text/plain; charset=US-ASCII
Errors-To: Red Hat Network <dev-null@rhn.redhat.com>
X-RHN-Email: rhn-traceback@rhn.redhat.com
X-RHN-Traceback-Severity: unhandled
Reply-to: rhn-traceback@redhat.com

The following exception occured while executing this request:
 GET /network/software/packages/file_list.pxt HTTP/1.1 (from browser)
 /network/software/packages/file_list.pxt (from Apache)

Date:
  Mon Jan 31 18:59:10 2005

Headers:
  Accept: */*
  Accept-Encoding: gzip, deflate;q=1.0, identity;q=0.5, *;q=0
  Accept-Language: en, ja;q=0.92, ja-jp;q=0.96, fr;q=0.88, de-de;q=0.85,
de;q=0.81, es;q=0.77, it-it;q=0.73, it;q=0.69, nl-nl;q=0.65, nl;q=0.62,
sv-se;q=0.58, sv;q=0.54, no-no;q=0.50, no;q=0.46, da-dk;q=0.42, da;q=0.38,
fi-fi;q=0.35, fi;q=0.31
  Connection: close
  Cookie: rh_auth_token=3860628:1107215949x940d451a326a950bc2f921ea5fedce7e;
pxt-session-cookie=1222203127xf55ed6aa4156f70bad2f0845ea063621
  Host: rhnapp.vip.phx.redhat.com
  Referer: https://rhn.redhat.com/network/software/packages/file_list.pxt
  User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.5.5
(KHTML, like Gecko) Safari/125.12
  Via: 1.1 rhn.redhat.com
  X-ENV-HTTPS: on
  X-Forwarded-For: 66.93.33.41
  X-Host: rhn.redhat.com
  X-Proxy-Forwarded-For: 66.93.33.41
  X-Proxy-Forwarded-Host: rhn.redhat.com
  X-Proxy-Forwarded-Server: rhn.redhat.com
  X-Replace-Content-Active: 1
  X-Server-Hostname: rhn.redhat.com

Form variables:


User Information:
  User tomosoftware (id 3860628, org_id 4403581)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  not enough information to make a guess about what package you're looking for!
at /usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/Packages.pm line 289
Comment 1 Amanda Carter 2008-10-17 16:55:41 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.